> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Top Up



## OpenAPI

````yaml /api-reference/openapi.json post /v1/billing/top-ups
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/billing/top-ups:
    post:
      tags:
        - Billing
      summary: Create Top Up
      operationId: apps_billing_api_create_top_up
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TopUpIn'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TopUpOut'
          description: Created
      security:
        - UserSessionAuth: []
components:
  schemas:
    TopUpIn:
      properties:
        pack_id:
          maxLength: 64
          pattern: ^[A-Za-z0-9_\-]+$
          title: Pack Id
          type: string
      required:
        - pack_id
      title: TopUpIn
      type: object
    TopUpOut:
      properties:
        amount:
          title: Amount
          type: integer
        checkout_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Checkout Url
        created_at:
          format: date-time
          title: Created At
          type: string
        credits:
          title: Credits
          type: number
        currency:
          title: Currency
          type: string
        id:
          title: Id
          type: string
        pack_id:
          title: Pack Id
          type: string
        refunded_credits:
          title: Refunded Credits
          type: number
        source:
          title: Source
          type: string
        status:
          title: Status
          type: string
      required:
        - id
        - pack_id
        - source
        - status
        - amount
        - currency
        - credits
        - refunded_credits
        - checkout_url
        - created_at
      title: TopUpOut
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.